Class | ActiveMerchant::Validateable::Errors
In: | lib/active_merchant/lib/validateable.rb
Parent: | HashWithIndifferentAccess

This hash keeps the errors of the object

### Methods

add add_to_base count each_full full_messages new on

### Public Class methods

new(base)

### Public Instance methods

add(field, error)
add_to_base(error)
count()
each_full() {|msg| ...}
full_messages()
on(field)

returns a specific fields error message. if more than one error is available we will only return the first. If no error is available we return an empty string

[Validate]